@echo off
 
rem redo.bat, a windows batch file to reprocess 
rem the raw ctd data.  This batch file is normally
rem identical to do.bat, except that it does not 
rem back up the data.  (that should have been done
rem by running do.bat immediately after the cast)

rem Operation
rem Normally, four replaceable parameters 
rem will be entered in the command line.  
rem like this: 
rem redo 172-05  17205003 process ctdbatch.txt

rem First is the name of the configuration file, 
rem Second is the number of the cast.   (this is the full name of the cast, minus the extension.)
rem Third is the subdirecty the processed files are to be directed to.  This directory must exist.
rem Fourth is the name of the text file needed by SBEBatch.  
rem Note that this text file must be in the correct 
rem location.  (normally c:\data\ctd\%3)  

rem The processing is set up this way to provide a maximum of flexiblity 
rem without the need to change the basic setup.  Find more 
rem notes in the SSSG manual (if it ever gets written).

rem example:
rem redo 172-05 17205003 process batch.txt
rem Note that the casts must be named in the same way 
rem and sequentially if you want multiple reprocessing 
rem to work.  The first cast would be 17205001, the 2nd 17205002, and so on...

rem There is an optional fifth command line entry that is used for the initial setup
rem of the processing, as well as changing the processing.  Add #w as the 
rem fifth entry and the seabird software will pause at the end of each 
rem section, allowing the operator to set up the 
rem processing, as well as saving the config files in the correct places.
rem example:
rem do 172-05 17205003 process batch.txt #w

rem see also

rem BEGIN PROCESSING:
rem set screen to black on white, clear the screen.
color f0
cls
echo    -
echo -
echo The cast %2  is about to be processed.
echo If this is not correct, hit control c now.  Otherwise 
cls

rem copy the .con file to the process directory for the rosette summary or others.
rem echo copy the .con file for this cast to the %3 directory.
copy  /v c:\data\ctd\%2.CON c:\data\ctd\%3\*.*

rem Process the data.  Call SeaBirds data processing software.
echo Start SbeBatch
call sbebatch c:\data\ctd\%3\%4 %1  %2 %3 %5
echo Finished with SbeBatch

