@echo off

rem rego.bat, a windows batch file to reprocess 
rem the raw ctd data.  This batch file is normally
rem identical to go.bat, except that it does not 
rem back up the data.  (that should have been done
rem by running go.bat immediately after the cast)

rem Operation
rem Normally, five replaceable parameters 
rem will be entered in the command line.  
rem like this: 
rem rego 172-05 17205 003 process batch.txt

rem First is the name of the configuration file, 
rem Second is the first part of the filename, (usually the number of the cruise), 
rem Third is the number of the cast.   
rem Fourth is the subdirecty the processed files are to be directed to.  This directory must exist.
rem Fifth is the name of the text file needed by SBEBatch.  
rem Note that this text file must be in the correct 
rem location.  (normally c:\data\ctd\%4)  

rem The processing is set up this way to provide a maximum of flexiblity 
rem without the need to change the basic setup.  Find more 
rem notes in the SSSG manual (if it ever gets written).

rem example:
rem rego 172-05 17205 003 process batch.txt
rem casts must be named in the same way.  The first cast would be
rem 17205001, the 2nd 17205002, and so on...

rem There is an optional sixth command line entry that is used for the initial setup
rem of the processing, as well as changing the processing.  Add #w as the 
rem sixth entry and the seabird software will pause at the end of each 
rem section, allowing the operator to set up the 
rem processing, as well as saving the config files in the correct places.
rem example:
rem go 172-05 17205 003 process batch.txt #w

rem see also

rem BEGIN PROCESSING:
rem set screen to black on white, clear the screen.
color f0
cls
echo    -
echo -
echo The cast %3 on cruise %2 is about to be processed.
echo If this is not correct, hit control c now.  Otherwise 
cls

rem not sure about the need for this in rego.bat.  rsl
rem copy the .con file to the process directory for the rosette summary or others.
rem echo copy the .con file for this cast to the processing directory.
rem copy  /v c:\data\ctd\%2%3.CON c:\data\ctd\%4\*.*

rem Process the data.  Call SeaBirds data processing software.
echo Start SbeBatch
call sbebatch c:\data\ctd\%4\%5 %1 %2 %3 %4 %6
echo Finished with SbeBatch

